Bug 1641313 - Redshift fails with geoclue2 2.4.11+ crashing
Summary: Redshift fails with geoclue2 2.4.11+ crashing
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: geoclue2
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Zeeshan Ali
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-21 02:59 UTC by Arcadiy Ivanov
Modified: 2019-11-27 20:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:00:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Arcadiy Ivanov 2018-10-21 02:59:15 UTC
Description of problem:

When used with geoclue2 (latest versions) redshift is unable to connect and geoclue2 dumps core.
This has been filed in upstream which could not be reproduced by the primary maintainers, so it's likely Fedora 28 related: https://gitlab.freedesktop.org/geoclue/geoclue/issues/69

Version-Release number of selected component (if applicable):

Installed Packages
geoclue2.x86_64                                         2.4.13-1.fc28 @updates-testing  
geoclue2-libs.x86_64                                    2.4.13-1.fc28 @updates-testing  
redshift.x86_64                                         1.11-8.fc28 @fedora           


How reproducible:
Always

Steps to Reproduce:
1. Set redshift control to use automatic location.
2. Observe failure


Oct 20 22:27:45 host plasmashell[1962]: QProcess: Destroyed while process ("/usr/bin/redshift") is still running.
Oct 20 22:27:52 host dbus-daemon[1105]: [system] Activating via systemd: service name='org.freedesktop.GeoClue2' unit='geoclue.service' requested by ':1.427' (uid=1000 pid=28527 comm="redshift -t 4500 3000 -b>
Oct 20 22:27:52 host systemd[1]: Starting Location Lookup Service...
-- Subject: Unit geoclue.service has begun start-up
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit geoclue.service has begun starting up.
Oct 20 22:27:52 host plasmashell[1962]: QProcess: Destroyed while process ("/usr/bin/redshift") is still running.
Oct 20 22:27:52 host dbus-daemon[1105]: [system] Successfully activated service 'org.freedesktop.GeoClue2'
Oct 20 22:27:52 host systemd[1]: Started Location Lookup Service.
-- Subject: Unit geoclue.service has finished start-up
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit geoclue.service has finished starting up.
-- 
-- The start-up result is RESULT.
Oct 20 22:28:17 host geoclue[28533]: g_object_unref: assertion 'object->ref_count > 0' failed
Oct 20 22:28:17 host geoclue[28533]: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Oct 20 22:28:17 host geoclue[28533]: g_object_unref: assertion 'object->ref_count > 0' failed
Oct 20 22:28:17 host geoclue[28533]: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Oct 20 22:28:21 host geoclue[28533]: malloc_consolidate(): invalid chunk size
Oct 20 22:28:21 host audit[28533]: ANOM_ABEND auid=4294967295 uid=994 gid=993 ses=4294967295 pid=28533 comm="gdbus" exe="/usr/libexec/geoclue" sig=6 res=1
Oct 20 22:28:21 host systemd[1]: Started Process Core Dump (PID 28596/UID 0).
-- Subject: Unit systemd-coredump@1-28596-0.service has finished start-up
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit systemd-coredump@1-28596-0.service has finished starting up.
-- 
-- The start-up result is RESULT.
Oct 20 22:28:21 host audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@1-28596-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=succ>
Oct 20 22:28:21 host systemd[1]: geoclue.service: Main process exited, code=killed, status=6/ABRT
Oct 20 22:28:21 host systemd[1]: geoclue.service: Failed with result 'signal'.
Oct 20 22:28:21 host audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=geoclue comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Oct 20 22:28:22 host systemd-coredump[28597]: Process 28533 (geoclue) of user 994 dumped core.
                                                                          
                                                                          Stack trace of thread 28540:
                                                                          #0  0x00007f4546fc7eab raise (libc.so.6)
                                                                          #1  0x00007f4546fb25b9 abort (libc.so.6)
                                                                          #2  0x00007f454700a7b7 __libc_message (libc.so.6)
                                                                          #3  0x00007f4547010c4c malloc_printerr (libc.so.6)
                                                                          #4  0x00007f4547010f4a malloc_consolidate (libc.so.6)
                                                                          #5  0x00007f45470126ec _int_free (libc.so.6)
                                                                          #6  0x00007f454794e542 g_free (libglib-2.0.so.0)
                                                                          #7  0x00007f4547f398f7 message_to_write_data_free (libgio-2.0.so.0)
                                                                          #8  0x00007f4547f3b4c7 write_message_cb (libgio-2.0.so.0)
                                                                          #9  0x00007f4547ef5e04 g_task_return_now (libgio-2.0.so.0)
                                                                          #10 0x00007f4547ef5e3d complete_in_idle_cb (libgio-2.0.so.0)
                                                                          #11 0x00007f45479451cb g_idle_dispatch (libglib-2.0.so.0)
                                                                          #12 0x00007f454794888d g_main_context_dispatch (libglib-2.0.so.0)
                                                                          #13 0x00007f4547948c58 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
                                                                          #14 0x00007f4547948f82 g_main_loop_run (libglib-2.0.so.0)
                                                                          #15 0x00007f4547f397aa gdbus_shared_thread_func (libgio-2.0.so.0)
                                                                          #16 0x00007f4547970f8a g_thread_proxy (libglib-2.0.so.0)
                                                                          #17 0x00007f4546d79594 start_thread (libpthread.so.0)
                                                                          #18 0x00007f454708ae6f __clone (libc.so.6)
                                                                          
                                                                          Stack trace of thread 28533:
                                                                          #0  0x00007f45470803e9 __poll (libc.so.6)
                                                                          #1  0x00007f4547948bc6 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
                                                                          #2  0x00007f4547948f82 g_main_loop_run (libglib-2.0.so.0)
                                                                          #3  0x000055981f35637e main (geoclue)
                                                                          #4  0x00007f4546fb411b __libc_start_main (libc.so.6)
                                                                          #5  0x000055981f35644a _start (geoclue)
                                                                          
                                                                          Stack trace of thread 28538:
                                                                          #0  0x00007f45470803e9 __poll (libc.so.6)
                                                                          #1  0x00007f4547948bc6 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
                                                                          #2  0x00007f4547948cf0 g_main_context_iteration (libglib-2.0.so.0)
                                                                          #3  0x00007f4547948d41 glib_worker_main (libglib-2.0.so.0)
                                                                          #4  0x00007f4547970f8a g_thread_proxy (libglib-2.0.so.0)
                                                                          #5  0x00007f4546d79594 start_thread (libpthread.so.0)
                                                                          #6  0x00007f454708ae6f __clone (libc.so.6)
                                                                          
                                                                          Stack trace of thread 28592:
                                                                          #0  0x00007f4547085879 syscall (libc.so.6)
                                                                          #1  0x00007f454798f76e g_cond_wait_until (libglib-2.0.so.0)
                                                                          #2  0x00007f454791b0f1 g_async_queue_pop_intern_unlocked (libglib-2.0.so.0)
                                                                          #3  0x00007f4547971ad2 g_thread_pool_thread_proxy (libglib-2.0.so.0)
                                                                          #4  0x00007f4547970f8a g_thread_proxy (libglib-2.0.so.0)
                                                                          #5  0x00007f4546d79594 start_thread (libpthread.so.0)
                                                                          #6  0x00007f454708ae6f __clone (libc.so.6)
-- Subject: Process 28533 (geoclue) dumped core
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- Documentation: man:core(5)
-- 
-- Process 28533 (geoclue) crashed and dumped core.
-- 
-- This usually indicates a programming error in the crashing program and
-- should be reported to its vendor as a bug.
Oct 20 22:28:22 host audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@1-28596-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=succe>
Oct 20 22:28:22 host plasmashell[1962]: file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/NotificationDelegate.qml:119:22: Unable to assign [undefined] to QQmlListModel*
Oct 20 22:28:22 host plasmashell[1962]: file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/NotificationDelegate.qml:113: ReferenceError: appIcon is not defined
Oct 20 22:28:22 host dbus-daemon[1105]: [system] Activating service name='org.freedesktop.problems' requested by ':1.443' (uid=0 pid=28654 comm="/usr/bin/python3 /usr/bin/abrt-action-notify -d /v") (using ser>
Oct 20 22:28:22 host dbus-daemon[1105]: [system] Successfully activated service 'org.freedesktop.problems'
Oct 20 22:28:22 host abrt-notification[28660]: Process 28533 (geoclue) crashed in message_to_write_data_free()
-- Subject: ABRT has detected unexpected termination: geoclue
-- Defined-By: ABRT
-- Support: https://bugzilla.redhat.com/
-- Documentation: man:abrt(1)
-- 
-- geoclue killed by SIGABRT
-- 
-- Use the abrt command-line tool for further analysis or to report
-- the problem to the appropriate support site.

Comment 1 Arcadiy Ivanov 2018-10-21 02:59:46 UTC
Related to bug #1585970.

Comment 2 Ben Cotton 2019-10-31 20:27:55 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 20:00:53 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.